blk_queue_invalidate_tags
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_invalidate_tags — invalidate all pending tags

## Synopsis

`void blk_queue_invalidate_tags (` | struct request_queue * | q`)`;

## Arguments

`q`

  the request queue for the device

## Description

Hardware conditions may dictate a need to stop all pending requests. In this case, we will safely clear the block side of the tag queue and readd all requests to the request queue in the right order.

## Notes

queue lock must be held.

Prev | Up | Next
blk_queue_start_tag | Home | Chapter 18. Char devices